[package]
name = "sequoia-tool"
description = "Command-line frontends for Sequoia"
version = "0.12.0"
authors = [
    "Justus Winter <justus@sequoia-pgp.org>",
    "Kai Michaelis <kai@sequoia-pgp.org>",
    "Neal H. Walfield <neal@sequoia-pgp.org>",
]
build = "build.rs"
documentation = "https://docs.sequoia-pgp.org/0.12.0/sq"
homepage = "https://sequoia-pgp.org/"
repository = "https://gitlab.com/sequoia-pgp/sequoia"
readme = "../README.md"
keywords = ["cryptography", "openpgp", "pgp", "encryption", "signing"]
categories = ["cryptography", "authentication", "command-line-utilities"]
license = "GPL-2.0-or-later"
edition = "2018"

[badges]
gitlab = { repository = "sequoia-pgp/sequoia" }
maintenance = { status = "actively-developed" }

[dependencies]
sequoia-openpgp = { path = "../openpgp", version = "0.12" }
sequoia-core = { path = "../core", version = "0.12" }
sequoia-net = { path = "../net", version = "0.12" }
sequoia-store = { path = "../store", version = "0.12" }
chrono = "0.4"
clap = "2.32.0"
failure = "0.1.2"
itertools = "0.8"
prettytable-rs = "0.8.0"
rpassword = "4.0"
tempfile = "3.0.4"
termsize = "0.1"
tokio-core = "0.1"

[build-dependencies]
clap = "2.27.1"

[dev-dependencies]
assert_cli = "0.6"

[[bin]]
name = "sq"
path = "src/sq-usage.rs"
